Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal3d.simple
Class ValuePortrayal3D.ValueWrapper

    java.lang.Object
      sim.portrayal.LocationWrapper
          sim.portrayal3d.simple.ValuePortrayal3D.ValueWrapper

Enclosing class:
  ValuePortrayal3D

    public static class ValuePortrayal3D.ValueWrapper

extends LocationWrapper

This special LocationWrapper contains a public double holding the last value used to display the object.

Field Summary
`double` | `lastVal`

Fields inherited from class sim.portrayal.LocationWrapper
`fieldPortrayal, location, object`

Constructor Summary
`ValuePortrayal3D.ValueWrapper(double lastVal, int x, int y, int z, FieldPortrayal fieldPortrayal)`

Method Summary
`java.lang.String` | `getLocationName()` Override this to provide the current location's name
`java.lang.Object` | `getObject()` Override this to provide the current object

Methods inherited from class sim.portrayal.LocationWrapper
`getFieldPortrayal, getLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lastVal

    public double lastVal

Constructor Detail

### ValuePortrayal3D.ValueWrapper

    public ValuePortrayal3D.ValueWrapper(double lastVal,
                                         int x,
                                         int y,
                                         int z,
                                         FieldPortrayal fieldPortrayal)

Method Detail

### getLocationName

    public java.lang.String getLocationName()

  Description copied from class: `LocationWrapper`
  Override this to provide the current location's name

  Overrides:
    `getLocationName` in class `LocationWrapper`

### getObject

    public java.lang.Object getObject()

  Description copied from class: `LocationWrapper`
  Override this to provide the current object

  Overrides:
    `getObject` in class `LocationWrapper`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD